Bug 957123 (CVE-2013-2015)

Summary: CVE-2013-2015 Kernel: ext4: hang when mounting non-journal filesystems with orphan list
Product: [Other] Security Response Reporter: Prasad J Pandit <prasad>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: agordeev, anton, bhu, davej, dhoward, esammons, fhrbata, fs-maint, gansalmon, iboverma, itamar, jforbes, jkacur, jonathan, jwboyer, kernel-maint, kernel-mgr, lgoncalv, lwang, madhu.chinakonda, mcressma, npajkovs, plougher, pmatouse, qguo, rt-maint, rvrbovsk, rwheeler, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20121227,reported=20130126,source=git,cvss2=4.7/AV:L/AC:M/Au:N/C:N/I:N/A:C,rhel-5/kernel=notaffected,rhel-6/kernel=notaffected,mrg-2/realtime-kernel=notaffected,fedora-all/kernel=notaffected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-06-26 10:02:58 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 957145, 957146, 957147, 957148, 957149, 957150    
Bug Blocks: 904373    

Description Prasad J Pandit 2013-04-26 07:58:13 EDT
Linux kernel built with an Ext4 file system is vulnerable to a system hang
situation when [auto]mounting a non-journal filesystem with an orphan list
to clear.

A user could use this flaw to stall the system resulting in DoS.

Upstream fix:
-------------
 -> https://git.kernel.org/linus/0e9a9a1ad619e7e987815d20262d36a2f95717ca
Comment 1 Prasad J Pandit 2013-04-26 08:58:28 EDT
Statement:

This issue does not affect the versions of the kernel package as shipped with
Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2.
Comment 9 Prasad J Pandit 2013-04-28 05:13:21 EDT
CVE-2013-2015 was assigned to this issue.
 -> http://www.openwall.com/lists/oss-security/2013/04/26/16